XdkWrl: argstream.h File Reference

Home | Hierarchy | Members | Alphabetical | Related Pages

# argstream.h File Reference

`#include <string>`
`#include <list>`
`#include <deque>`
`#include <map>`
`#include <vector>`
`#include <stdexcept>`
`#include <sstream>`
`#include <iostream>`

Go to the source code of this file.

## Functions
template<class T>
argstream & | operator>> (argstream &, const ValueHolder< T > &)
template<class T>
ValueHolder< T > | parameter (char s, const char *l, T &b, const char *desc="", bool mandatory=true)
template<class T>
ValueHolder< T > | parameter (char s, T &b, const char *desc="", bool mandatory=true)
template<class T>
ValueHolder< T > | parameter (const char *l, T &b, const char *desc="", bool mandatory=true)
OptionHolder | option (char s, const char *l, bool &b, const char *desc="")
OptionHolder | option (char s, bool &b, const char *desc="")
OptionHolder | option (const char *l, bool &b, const char *desc="")
OptionHolder | help (char s, const char *l, const char *desc)
template<class T, class O>
argstream & | operator>> (argstream &, const ValuesHolder< T, O > &)
template<class T, class O>
ValuesHolder< T, O > | values (const O &o, const char *desc="", int len=-1)
template<class T>
argstream & | operator>> (argstream &s, const ValueHolder< T > &v)
argstream & | operator>> (argstream &s, const OptionHolder &v)
template<class T, class O>
argstream & | operator>> (argstream &s, const ValuesHolder< T, O > &v)

## Function Documentation

OptionHolder @101::help | ( | char | s = `'h'`,
|  | const char * | l = `"help"`,
|  | const char * | desc = `"Display this help"` |
| ) |  |  | `[inline, static]`

argstream& @101::operator>> | ( | argstream & | s,
|  | const ValuesHolder< T, O > & | v |
| ) |  |  | `[static]`

argstream& @101::operator>> | ( | argstream & | s,
|  | const OptionHolder & | v |
| ) |  |  | `[inline, static]`

argstream& @101::operator>> | ( | argstream & | s,
|  | const ValueHolder< T > & | v |
| ) |  |  | `[static]`

argstream& @101::operator>> | ( | argstream & | ,
|  | const ValuesHolder< T, O > & |  |
| ) |  |  | `[static]`

argstream& @101::operator>> | ( | argstream & | ,
|  | const ValueHolder< T > & |  |
| ) |  |  | `[static]`

OptionHolder @101::option | ( | const char * | l,
|  | bool & | b,
|  | const char * | desc = `""` |
| ) |  |  | `[inline, static]`

OptionHolder @101::option | ( | char | s,
|  | bool & | b,
|  | const char * | desc = `""` |
| ) |  |  | `[inline, static]`

OptionHolder @101::option | ( | char | s,
|  | const char * | l,
|  | bool & | b,
|  | const char * | desc = `""` |
| ) |  |  | `[inline, static]`

ValueHolder<T> @101::parameter | ( | const char * | l,
|  | T & | b,
|  | const char * | desc = `""`,
|  | bool | mandatory = `true` |
| ) |  |  | `[inline, static]`

ValueHolder<T> @101::parameter | ( | char | s,
|  | T & | b,
|  | const char * | desc = `""`,
|  | bool | mandatory = `true` |
| ) |  |  | `[inline, static]`

ValueHolder<T> @101::parameter | ( | char | s,
|  | const char * | l,
|  | T & | b,
|  | const char * | desc = `""`,
|  | bool | mandatory = `true` |
| ) |  |  | `[inline, static]`

ValuesHolder<T,O> @101::values | ( | const O & | o,
|  | const char * | desc = `""`,
|  | int | len = `-1` |
| ) |  |  | `[inline, static]`

## Variable Documentation

std::deque<help_entry> argHelps_

std::string cmdLine_

std::string description_

std::string description_

std::string description_

std::deque<std::string> errors_

bool helpRequested_

T initialValue_

bool isOk_

int len_

char letter_

std::string longName_

std::string longName_

bool mandatory_

bool minusActive_

std::map<std::string,value_iterator> options_

std::string progName_

std::string shortName_

std::string shortName_

O value_

bool* value_

T* value_

std::list<std::string> values_

Generated on 5 Jan 2007 with version 1.5.1. |